"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSSRApp = void 0;
const tslib_1 = require("tslib");
const vite_1 = require("vite");
const path = require("path");
function buildSSRApp(config, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const rootDir = config.root || '.';
        const ssrBuildConfig = (0, vite_1.mergeConfig)(config, {
            build: {
                ssr: true,
                rollupOptions: {
                    input: (options === null || options === void 0 ? void 0 : options.entryServer) || path.resolve(rootDir, './src/main.server.ts'),
                },
                outDir: (options === null || options === void 0 ? void 0 : options.ssrBuildDir) || path.resolve('dist', rootDir, 'ssr'),
            },
        });
        yield (0, vite_1.build)(ssrBuildConfig);
    });
}
exports.buildSSRApp = buildSSRApp;
//# sourceMappingURL=build-ssr.js.map