"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPageHandlers = void 0;
const path = require("path");
const vite_1 = require("vite");
function getPageHandlers({ workspaceRoot, rootDir }) {
    const fg = require('fast-glob');
    const root = (0, vite_1.normalizePath)(path.resolve(workspaceRoot, rootDir));
    const endpointFiles = fg.sync([`${root}/src/app/pages/**/*.server.ts`], { dot: true });
    const handlers = endpointFiles.map((endpointFile) => {
        const route = endpointFile
            .replace((0, vite_1.normalizePath)(path.resolve(workspaceRoot, rootDir, 'src/app')), '')
            .replace(/\.server\.ts$/, '')
            .replace(/\[\.{3}(.+)\]/g, '**:$1')
            .replace(/\[\.{3}(\w+)\]/g, '**:$1')
            .replace(/\/\((.*?)\)$/, '/-$1-')
            .replace(/\[(\w+)\]/g, ':$1')
            .replace(/\./g, '/');
        return {
            handler: endpointFile,
            route: `/_analog${route}`,
            lazy: true,
        };
    });
    return handlers;
}
exports.getPageHandlers = getPageHandlers;
//# sourceMappingURL=get-page-handlers.js.map