"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runConfigAndCloseBundle = exports.mockBuildFunctions = exports.mockNitroConfig = exports.mockViteDevServer = void 0;
const tslib_1 = require("tslib");
const vitest_1 = require("vitest");
const path = require("path");
exports.mockViteDevServer = {
    middlewares: {
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        use: () => { },
    },
};
exports.mockNitroConfig = {
    buildDir: path.resolve('./dist/.nitro'),
    handlers: [],
    logLevel: 0,
    output: {
        dir: path.resolve('dist/analog'),
        publicDir: path.resolve('dist/analog/public'),
    },
    rootDir: '.',
    runtimeConfig: {},
    scanDirs: ['src/server'],
    srcDir: 'src/server',
    prerender: {
        crawlLinks: undefined,
    },
    typescript: {
        generateTsConfig: false,
    },
    rollupConfig: {
        plugins: [
            {
                name: 'analogjs-vite-plugin-nitro-rollup-page-endpoint',
                transform() { },
            },
        ],
    },
};
function mockBuildFunctions() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const buildServerImport = yield Promise.resolve().then(() => require('./build-server'));
        const buildServerImportSpy = vitest_1.vi.fn();
        buildServerImport.buildServer = buildServerImportSpy;
        const buildSSRAppImport = yield Promise.resolve().then(() => require('./build-ssr'));
        const buildSSRAppImportSpy = vitest_1.vi.fn();
        buildSSRAppImport.buildSSRApp = buildSSRAppImportSpy;
        const buildSitemapImport = yield Promise.resolve().then(() => require('./build-sitemap'));
        const buildSitemapImportSpy = vitest_1.vi.fn();
        buildSitemapImport.buildSitemap = buildSitemapImportSpy;
        return { buildSSRAppImportSpy, buildServerImportSpy, buildSitemapImportSpy };
    });
}
exports.mockBuildFunctions = mockBuildFunctions;
function runConfigAndCloseBundle(plugin) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield plugin[1].config({}, { command: 'build' });
        yield plugin[1].closeBundle();
    });
}
exports.runConfigAndCloseBundle = runConfigAndCloseBundle;
//# sourceMappingURL=vite-nitro-plugin.spec.data.js.map